import { Component, Project } from 'projen';
import { BasePublishOptions } from './common';
/**
 * Publish JS packages in a directoty to a Npm registry
 */
export declare class PublishNpmTasks extends Component {
    taskName: string;
    constructor(project: Project, opts: PublishNpmOptions);
}
export interface PublishNpmOptions extends BasePublishOptions {
    /**
     * All JS packages in this directory will be published (*.tgz).
     * Fails if no package is found.
     * @default "dist/js"
     */
    readonly packagesDir: string;
}
